/* 
Theme Name: Future Delta
Description: A custom theme for the Future Delta website
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Author: Indigo Cube Web Design
Template: hello-elementor
Text Domain: future-delta
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
*/
.by_indigocube { 
    background-color: var(--e-global-color-primary);
}

/* Flip Box Perspective */
.flip-box {
    position: relative;
    width: 100%;
    aspect-ratio: 4 / 3; /* Responsive height based on width */
    margin-bottom: 2rem;
}
  
/* Inner Container with rotation */
.flip-box-inner {
    transition: transform 0.8s;
    transform-style: preserve-3d;
    width: 100%;
    height: 100%;
    position: relative;
}

/* Flip on hover */
.flip-box:hover .flip-box-inner {
    transform: rotateY(180deg);
}

/* Front and Back faces */
.flip-box-front,
.flip-box-back {
    position: absolute;
    width: 100%;
    height: 100%;
    backface-visibility: hidden;
}

/* Flip back side */
.flip-box-back {
    transform: rotateY(180deg);
}
